version: "3"

services:
    ctf1:
        restart: always
        environment:
                CTF1_FLAG: ${CTF1_FLAG}
                HTTP_PORT: ${HTTP_PORT}
        deploy:
            resources:
                limits:
                    cpus: "0.50"
                    memory: "512M"
                reservations:
                    cpus: "0.2"
                    memory: "128M"
        build: 
                context: ./
                args:
                        - CTF1_FLAG=${CTF1_FLAG}

        command:  python3 -u server.py
        healthcheck:
                test: (cat /home/localuser/Classified/flag.txt > /dev/null) && (cat /home/server/static/logs.html > /dev/null) 
                interval: 5s
                retries: 1
                timeout: 10s
        ports:
                - ${HTTP_PORT}:8080
